# Created by pyp2rpm-3.3.2
%global pypi_name soupsieve

%bcond_with check

Name:           python-%{pypi_name}
Version:        2.6
Release:        %mkrel 1
Summary:        A modern CSS selector implementation for Beautiful Soup
Group:          Development/Python
License:        MIT
URL:            https://github.com/facelessuser/soupsieve
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Soup Sieve is a CSS selector library designed to be used with Beautiful Soup 4.
It aims to provide selecting, matching, and filtering using modern CSS
selectors. Soup Sieve currently provides selectors from the CSS level 1
specifications up through the latest CSS level 4 drafts and beyond (though
some are not yet implemented).

Soup Sieve was written with the intent to replace Beautiful Soup's builtin
select feature, and as of Beautiful Soup version 4.7.0, it now is good.
Soup Sieve can also be imported in order to use its API directly for more
controlled, specialized parsing.

Soup Sieve has implemented most of the CSS selectors up through the latest CSS
draft specifications, though there are a number that don't make sense in a
non-browser environment. Selectors that cannot provide meaningful functionality
simply do not match anything.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Soup Sieve is a CSS selector library designed to be used with Beautiful Soup 4.
It aims to provide selecting, matching, and filtering using modern CSS
selectors. Soup Sieve currently provides selectors from the CSS level 1
specifications up through the latest CSS level 4 drafts and beyond (though
some are not yet implemented).

Soup Sieve was written with the intent to replace Beautiful Soup's builtin
select feature, and as of Beautiful Soup version 4.7.0, it now is good.
Soup Sieve can also be imported in order to use its API directly for more
controlled, specialized parsing.

Soup Sieve has implemented most of the CSS selectors up through the latest CSS
draft specifications, though there are a number that don't make sense in a
non-browser environment. Selectors that cannot provide meaningful functionality
simply do not match anything.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t requirements/tests.txt}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files soupsieve

%if %{with check}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md
%doc README.md


%changelog
* Sat Feb 22 2025 wally <wally> 2.6-1.mga10
+ Revision: 2150833
- new version 2.6
- rebuild for python 3.13

* Sun Dec 17 2023 papoteur <papoteur> 2.5-2.mga10
+ Revision: 2018602
- rebuild for python 3.12
- new {paquet[1]}

* Fri Dec 08 2023 wally <wally> 2.2.1-4.mga10
+ Revision: 2015548
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 2.2.1-3.mga9
+ Revision: 1822516
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tmb <tmb> 2.2.1-2.mga9
+ Revision: 1774062
- rebuild for python 3.10
+ wally <wally>
- new version 2.2.1

* Sun Mar 14 2021 wally <wally> 2.2-2.mga9
+ Revision: 1702720
- rebuild with python 3.9

* Sun Feb 28 2021 guillomovitch <guillomovitch> 2.2-1.mga9
+ Revision: 1694292
- new version 2.2.

* Fri Oct 02 2020 kekepower <kekepower> 2.0.1-1.mga8
+ Revision: 1631594
- Update to version 2.0.1

* Fri Jun 12 2020 kekepower <kekepower> 1.9.2-1.mga8
+ Revision: 1592976
- Update to version 1.9.2

* Sun Feb 16 2020 umeabot <umeabot> 1.9.1-4.mga8
+ Revision: 1531423
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 1.9.1-3.mga8
+ Revision: 1440231
- rebuild for python-3.8
- drop python2 subpkg

* Tue May 28 2019 kekepower <kekepower> 1.9.1-2.mga7
+ Revision: 1399334
- Remove dependency for python3-backports.functools-lru-cache

* Wed May 15 2019 kekepower <kekepower> 1.9.1-1.mga7
+ Revision: 1397808
- imported package python-soupsieve

